# Method: projects.locations.catalogs.databases.tables.list

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.ListTablesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#body.aspect_1)
- [TableView](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#TableView)

List all tables in a specified database.

### HTTP request

`GET https://biglake.googleapis.com/v1/{parent=projects/*/locations/*/catalogs/*/databases/*}/tables`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of tables. Format: projects/{project_id_or_number}/locations/{locationId}/catalogs/{catalogId}/databases/{databaseId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of tables to return. The service may return fewer than this value. If unspecified, at most 50 tables will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `tables.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `tables.list` must match the call that provided the page token. |
| `view` | ``enum (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables/list#TableView`)`` The view for the returned tables. |

### Request body

The request body must be empty.

### Response body

Response message for the tables.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "tables": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables#Table`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `tables[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases.tables#Table`)`` The tables from the specified database. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `biglake.tables.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## TableView

View on Table. Represents which fields will be populated for calls that return Table objects.

| Enums ||
|---|---|
| `TABLE_VIEW_UNSPECIFIED` | Default value. The API will default to the BASIC view. |
| `BASIC` | Include only table names. This is the default value. |
| `FULL` | Include everything. |